<?php
/**
 * 
 *
 * @see lawman_pro_custom_header_setup().
 */
function lawman_pro_header_text_style() {
	// If we get this far, we have custom styles. Let's do this.
	$header_text_display = get_theme_mod( 'lawman_pro_header_text_display' );
	?>
	<style type="text/css">

	<?php if ( !empty( get_theme_mod( 'lawman_pro_h1_h6_font_option' ) ) ): ?>
		h1,
		h2,
		h3,
		h4,
		h5,
		h6,
		.post-navigation a, 
		.section-title,
		.posts-navigation a,
		.single-post-wrapper span.tags-links,
		.single-post-wrapper span.cat-links,
		.blog-posts-wrapper .cat-links a,
		.blog-posts-wrapper .cat-links,
		.woocommerce div.product .woocommerce-tabs ul.tabs li a {
			font-family: <?php echo esc_attr(str_replace("+", " ", get_theme_mod('lawman_pro_h1_h6_font_option'))); ?>;
		}
	<?php endif; ?>	
			
	<?php if ( !empty( get_theme_mod( 'lawman_pro_body_font_option' ) ) ): ?>
			body,
			.cat-links a, .posted-on a,
			.single-post-wrapper span.tags-links a,
			.single-post-wrapper span.cat-links a,
			.blog-posts-wrapper span.cat-links,
			.blog-posts-wrapper span.cat-links a,
			.blog-posts-wrapper span.cat-links,
			.blog-posts-wrapper span.cat-links a {
				font-family: <?php echo esc_attr(str_replace("+", " ", get_theme_mod('lawman_pro_body_font_option'))); ?>;
		}
	<?php endif; ?>	
		
	<?php if ( !empty( get_theme_mod( 'lawman_pro_topbar_menu_bg_color' ) ) ): ?>
		#top-bar {
			background-color: <?php echo esc_attr( get_theme_mod( 'lawman_pro_topbar_menu_bg_color' ) ) ; ?>;
		}
	<?php endif; ?>	

	<?php if ( !empty( get_theme_mod( 'lawman_pro_topbar_item_color' ) ) ): ?>
		#top-bar .contact-info span {
			color: <?php echo esc_attr( get_theme_mod( 'lawman_pro_topbar_item_color' ) ) ; ?>
		}
	<?php endif; ?>	

	<?php if ( !empty( get_theme_mod( 'lawman_pro_topbar_item_hover_color' ) ) ): ?>
		#top-bar .contact-info span:hover {
			color: <?php echo esc_attr( get_theme_mod( 'lawman_pro_topbar_item_hover_color' ) ) ; ?>
		}
	<?php endif; ?>	
	
	<?php if ( !empty( get_theme_mod( 'lawman_pro_topbar_icon_color' ) ) ): ?>
		#top-bar .contact-info svg, #top-bar svg {
			fill: <?php echo esc_attr( get_theme_mod( 'lawman_pro_topbar_icon_color' ) ) ; ?>
		}
	<?php endif; ?>


	<?php if ( !empty( get_theme_mod( 'lawman_pro_service_background_color' ) ) ): ?>
	#our-services,
	.second-design #our-services{
		background-color: <?php echo esc_attr( get_theme_mod( 'lawman_pro_service_background_color') ) ; ?>;
	}
	<?php endif; ?>

	<?php if ( !empty( get_theme_mod( 'lawman_pro_main_service_section_bg_color' ) ) ): ?>
	#main-services,
	.second-design #main-services{
		background-color: <?php echo esc_attr( get_theme_mod( 'lawman_pro_main_service_section_bg_color') ) ; ?>;
	}
	<?php endif; ?>

	<?php if ( !empty( get_theme_mod( 'lawman_pro_testinomial_background_color' ) ) ): ?>
		#testimonial,
		.second-design #testimonial {
			background-color: <?php echo esc_attr( get_theme_mod( 'lawman_pro_testinomial_background_color' ) ) ; ?>;
		}
	<?php endif; ?>

	<?php if ( !empty( get_theme_mod( 'lawman_pro_team_background_color' ) ) ): ?>
		#team{
			background-color: <?php echo esc_attr( get_theme_mod( 'lawman_pro_team_background_color' ) ) ; ?>;
		}
	<?php endif; ?>

	
	/*header styles*/

	.menu-sticky .nav-shrink nav#site-navigation {
	    background-color: <?php echo esc_attr(esc_attr(get_theme_mod( 'lawman_pro_header_section_menu_bg_color' ))); ?>;
	}

	<?php if ( !empty( get_theme_mod( 'lawman_pro_header_section_menu_bg_color' ) ) ): ?>
			#masthead {
				background: <?php echo esc_attr(esc_attr(get_theme_mod( 'lawman_pro_header_section_menu_bg_color' ))); ?>;	
			}
			
	<?php endif; ?>

	<?php if ( !empty( get_theme_mod( 'lawman_pro_header_section_menu_bg_color' ) )  ): ?>
			#masthead {
				background: <?php echo esc_attr(esc_attr(get_theme_mod( 'lawman_pro_header_section_menu_bg_color' ))); ?>;	
			}
			
	<?php endif; ?>

	<?php if ( !empty( get_theme_mod( 'lawman_pro_header_section_nav_item_color' ) ) ): ?>
		#site-navigation a{
			color: <?php echo esc_attr( get_theme_mod( 'lawman_pro_header_section_nav_item_color' ) ) ; ?>;
		}
	<?php endif; ?>

	<?php if ( !empty( get_theme_mod( 'lawman_pro_header_section_nav_item_hover_color' ) ) ): ?>
		#site-navigation ul.nav-menu li.menu-item a:hover{
			color: <?php echo esc_attr( get_theme_mod( 'lawman_pro_header_section_nav_item_hover_color' ) ) ; ?>;
		}
	<?php endif; ?>

	<?php if ( !empty( get_theme_mod( 'lawman_pro_header_nav_font_size' ) ) ): ?>
		.main-navigation a{
			font-size: <?php echo esc_attr( get_theme_mod( 'lawman_pro_header_nav_font_size', 16 ) ) ; ?>px;
		}
	<?php endif; ?>

	<?php if ( !empty( get_theme_mod( 'lawman_pro_header_nav_item_margin' ) ) ): ?>
		#site-navigation a{
			margin: 0px <?php echo esc_attr( get_theme_mod( 'lawman_pro_header_nav_item_margin' ) ) ; ?>px;
		}
	<?php endif; ?>

	<?php if ( !empty( get_theme_mod( 'lawman_pro_header_section_nav_item_hover_color' ) ) ): ?>
		#masthead .main-navigation ul.nav-menu > li > a:hover{
			color: <?php echo esc_attr( get_theme_mod( 'lawman_pro_header_section_nav_item_hover_color' ) ) ; ?>;
		}
	<?php endif; ?>

	<?php if ( !empty( get_theme_mod( 'lawman_pro_header_title_font_size' ) ) ): ?>
		.site-title{
			font-size: <?php echo esc_attr( get_theme_mod( 'lawman_pro_header_title_font_size' ) ) ; ?>;
		}
	<?php endif; ?>

	<?php if ( !empty( get_theme_mod( 'lawman_pro_make_trasparent_menu' ) )): ?>
		@media screen and (min-width: 1025px) {
			.first-design #masthead,
			.third-design #masthead {
				position: absolute;
				background: transparent;
				top: auto;
			}
			.second-design #masthead {
				position: absolute;
				background: transparent;
				top: auto;
			}
		
	<?php endif; ?>


	</style>

	<?php
}
add_action( 'wp_head', 'lawman_pro_header_text_style' );