<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * Posts Slider section
 */

$wp_customize->add_section(
	'lawman_pro_slider',
	array(
		'title' => esc_html__( 'Slider', 'lawman-pro' ),
		'panel' => 'lawman_pro_home_panel',
	)
);

// slider enable settings
$wp_customize->add_setting(
	'lawman_pro_slider',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_select',
		'default' => 'cat'
	)
);

$wp_customize->add_control(
	'lawman_pro_slider',
	array(
		'section'		=> 'lawman_pro_slider',
		'label'			=> esc_html__( 'Content type:', 'lawman-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'lawman-pro' ),
		'type'			=> 'select',		
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'lawman-pro' ),
				'post' => esc_html__( 'Post', 'lawman-pro' ),
				'page' => esc_html__( 'Page', 'lawman-pro' ),
				'cat' => esc_html__( 'Category', 'lawman-pro' ),
		 	)
	)
);

$wp_customize->add_setting(
	'lawman_pro_slider_exerpt',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_number_range',
		'default' => 30,
		'transport'	=> 'refresh',
	)
);

$wp_customize->add_control(
	'lawman_pro_slider_exerpt',
	array(
		'section'		=> 'lawman_pro_slider',
		'label'			=> esc_html__( 'Exerpt Length', 'lawman-pro' ),
	)
);

$wp_customize->add_setting(
	'lawman_pro_slider_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'transport'	=> 'postMessage',
		'default'	=>  __('Lawyer & Attorney', 'lawman-pro'),
	)
);

$wp_customize->add_control(
	'lawman_pro_slider_title',
	array(
		'section'		=> 'lawman_pro_slider',
		'label'			=> esc_html__( 'Section Title:', 'lawman-pro' ),
		
	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_pro_slider_title', 
	array(
        'selector'            => '#featured-slider .entry-header span',
		'render_callback'     => 'lawman_pro_slider_partial_title',
	) 
);

$wp_customize->add_setting(
	'lawman_pro_slider_btn_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Read More', 'lawman-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_pro_slider_btn_title',
	array(
		'section'		=> 'lawman_pro_slider',
		'label'			=> esc_html__( 'Btn Title:', 'lawman-pro' ),
		
	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_pro_slider_btn_title', 
	array(
        'selector'            => '#featured-slider .read-more a',
		'render_callback'     => 'lawman_pro_slider_partial_btn_title',
	) 
);


$wp_customize->add_setting(
	'lawman_pro_slider_btn_2_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Take a Tour', 'lawman-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_pro_slider_btn_2_title',
	array(
		'section'		=> 'lawman_pro_slider',
		'label'			=> esc_html__( 'Btn Title 2:', 'lawman-pro' ),
		'active_callback'	=> function(){
			return get_theme_mod( 'lawman_pro_homepage_layout' ) == 'second-design';
		}
		
	)
);

$wp_customize->add_setting(
	'lawman_pro_slider_btn_2_url',
	array(
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'lawman_pro_slider_btn_2_url',
	array(
		'section'		=> 'lawman_pro_slider',
		'label'			=> esc_html__( 'Btn url 2:', 'lawman-pro' ),
		'type'			=> 'url',
		'active_callback'	=> function(){
			return get_theme_mod( 'lawman_pro_homepage_layout' ) == 'second-design';
		}
		
	)
);



// slider number setting
$wp_customize->add_setting(
	'lawman_pro_slider_num',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_number_range',
		'default' => 3,
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_pro_slider_num',
	array(
		'section'		=> 'lawman_pro_slider',
		'label'			=> esc_html__( 'Number of Posts:', 'lawman-pro' ),
		'description'	=> esc_html__( 'Min: 3 | Max: 12', 'lawman-pro' ),
		'type'			=> 'number',
		'input_attrs'	=> array( 'min' => 3, 'max' => 12 ),
	)
);
$slider_num = get_theme_mod( 'lawman_pro_slider_num', 3 );
for ($i=1; $i <= $slider_num ; $i++) { 
	// slider post setting
	$wp_customize->add_setting(
		'lawman_pro_slider_post_'.$i,
		array(
			'sanitize_callback' => 'lawman_pro_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'lawman_pro_slider_post_'.$i,
		array(
			'section'		=> 'lawman_pro_slider',
			'label'			=> esc_html__( 'Post ', 'lawman-pro' ).$i,
			'active_callback' => 'lawman_pro_if_slider_post',
			'type'			=> 'select',
			'choices'		=> lawman_pro_get_post_choices(),
		)
	);

	// slider page setting
	$wp_customize->add_setting(
		'lawman_pro_slider_page_'.$i,
		array(
			'sanitize_callback' => 'lawman_pro_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'lawman_pro_slider_page_'.$i,
		array(
			'section'		=> 'lawman_pro_slider',
			'label'			=> esc_html__( 'Page ', 'lawman-pro' ).$i,
			'type'			=> 'dropdown-pages',
			'active_callback' => 'lawman_pro_if_slider_page'
		)
	);
}

// slider category setting
$wp_customize->add_setting(
	'lawman_pro_slider_cat',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'lawman_pro_slider_cat',
	array(
		'section'		=> 'lawman_pro_slider',
		'label'			=> esc_html__( 'Category:', 'lawman-pro' ),
		'active_callback' => 'lawman_pro_if_slider_cat',
		'type'			=> 'select',
		'choices'		=> lawman_pro_get_post_cat_choices(),
	)
);


// overlay enable settings
$wp_customize->add_setting(
	'lawman_pro_slider_overlay',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'lawman_pro_slider_overlay',
	array(
		'section'		=> 'lawman_pro_slider',
		'label'			=> esc_html__( 'Enable Overlay', 'lawman-pro' ),
		'type'			=> 'checkbox'
	)
);
