<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 *
 * Posts Slider section
 */

$wp_customize->add_section(
	'lawman_pro_team',
	array(
		'title' => esc_html__( 'Team', 'lawman-pro' ),
		'panel' => 'lawman_pro_home_panel',
	)
);

// team enable settings
$wp_customize->add_setting(
	'lawman_pro_team',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_select',
		'default' => 'cat'
	)
);

$wp_customize->add_control(
	'lawman_pro_team',
	array(
		'section'		=> 'lawman_pro_team',
		'label'			=> esc_html__( 'Content type:', 'lawman-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'lawman-pro' ),
		'type'			=> 'select',		
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'lawman-pro' ),
				'post' => esc_html__( 'Post', 'lawman-pro' ),
				'page' => esc_html__( 'Page', 'lawman-pro' ),
				'cat' => esc_html__( 'Category', 'lawman-pro' ),
		 	)
	)
);

$wp_customize->add_setting(
	'lawman_pro_team_exerpt',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_number_range',
		'default' => 30,
		'transport'	=> 'refresh',
	)
);

$wp_customize->add_control(
	'lawman_pro_team_exerpt',
	array(
		'section'		=> 'lawman_pro_team',
		'label'			=> esc_html__( 'Exerpt Length', 'lawman-pro' ),
	)
);

$wp_customize->add_setting(
	'lawman_pro_team_sub_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'transport'	=> 'postMessage',
		'default'	=>  __('Team', 'lawman-pro'),
	)
);

$wp_customize->add_control(
	'lawman_pro_team_sub_title',
	array(
		'section'		=> 'lawman_pro_team',
		'label'			=> esc_html__( 'Section Sub Title:', 'lawman-pro' ),
		
	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_pro_team_sub_title', 
	array(
        'selector'            => '#team .section-header p',
		'render_callback'     => 'lawman_pro_team_partial_sub_title',
	) 
);

$wp_customize->add_setting(
	'lawman_pro_team_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'transport'	=> 'postMessage',
		'default'	=>  __('Meet Our Expert Attorneys', 'lawman-pro'),
	)
);

$wp_customize->add_control(
	'lawman_pro_team_title',
	array(
		'section'		=> 'lawman_pro_team',
		'label'			=> esc_html__( 'Section Title:', 'lawman-pro' ),
		
	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_pro_team_title', 
	array(
        'selector'            => '#team .section-header h2',
		'render_callback'     => 'lawman_pro_team_partial_title',
	) 
);

$wp_customize->add_setting(
	'lawman_pro_team_content',
	array(
		'sanitize_callback' => 'sanitize_textarea_field',
		'default' => esc_html__( 'We’re a financial and consulting business company of professional thinkers, strategists, digital innovators, designers and problem solvers (everyone gets a mention). Our sense of curiosity brings thinkers, strategists.', 'lawman-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_pro_team_content',
	array(
		'section'		=> 'lawman_pro_team',
		'type'			=> 'textarea',
		'label'			=> esc_html__( 'Content:', 'lawman-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_pro_team_content', 
	array(
        'selector'            => '#team div.section-content p',
		'render_callback'     => 'lawman_pro_team_partial_content',
	) 
);

$wp_customize->add_setting(
	'lawman_pro_team_btn_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'Meet Our Team', 'lawman-pro' ),
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_pro_team_btn_title',
	array(
		'section'		=> 'lawman_pro_team',
		'label'			=> esc_html__( 'Btn Title:', 'lawman-pro' ),
		
	)
);


$wp_customize->add_setting(
	'lawman_pro_team_btn_url',
	array(
		'sanitize_callback' => 'esc_url_raw',
	)
);

$wp_customize->add_control(
	'lawman_pro_team_btn_url',
	array(
		'section'		=> 'lawman_pro_team',
		'label'			=> esc_html__( 'Btn Url:', 'lawman-pro' ),
	)
);

$wp_customize->selective_refresh->add_partial( 
	'lawman_pro_team_btn_title', 
	array(
        'selector'            => '#team .read-more a',
		'render_callback'     => 'lawman_pro_team_partial_btn_title',
	) 
);

// team number setting
$wp_customize->add_setting(
	'lawman_pro_team_num',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_number_range',
		'default' => 4,
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'lawman_pro_team_num',
	array(
		'section'		=> 'lawman_pro_team',
		'label'			=> esc_html__( 'Number of Posts:', 'lawman-pro' ),
		'description'	=> esc_html__( 'Min: 4 | Max: 12', 'lawman-pro' ),
		'type'			=> 'number',
		'input_attrs'	=> array( 'min' => 4, 'max' => 12 ),
	)
);
$team_num = get_theme_mod( 'lawman_pro_team_num', 4 );
for ($i=1; $i <= $team_num ; $i++) { 
	// team post setting
	$wp_customize->add_setting(
		'lawman_pro_team_post_'.$i,
		array(
			'sanitize_callback' => 'lawman_pro_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'lawman_pro_team_post_'.$i,
		array(
			'section'		=> 'lawman_pro_team',
			'label'			=> esc_html__( 'Post ', 'lawman-pro' ).$i,
			'active_callback' => 'lawman_pro_if_team_post',
			'type'			=> 'select',
			'choices'		=> lawman_pro_get_post_choices(),
		)
	);

	// team page setting
	$wp_customize->add_setting(
		'lawman_pro_team_page_'.$i,
		array(
			'sanitize_callback' => 'lawman_pro_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'lawman_pro_team_page_'.$i,
		array(
			'section'		=> 'lawman_pro_team',
			'label'			=> esc_html__( 'Page ', 'lawman-pro' ).$i,
			'type'			=> 'dropdown-pages',
			'active_callback' => 'lawman_pro_if_team_page'
		)
	);

		
	$wp_customize->add_setting(
		'lawman_pro_team_post_sub_title_'.$i,
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'transport'	=> 'refresh',
		)
	);

	$wp_customize->add_control(
		'lawman_pro_team_post_sub_title_'.$i,
		array(
			'section'		=> 'lawman_pro_team',
			'label'			=> esc_html__( 'Post Sub Title:', 'lawman-pro' ). $i,
			
		)
	);
}

// team category setting
$wp_customize->add_setting(
	'lawman_pro_team_cat',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'lawman_pro_team_cat',
	array(
		'section'		=> 'lawman_pro_team',
		'label'			=> esc_html__( 'Category:', 'lawman-pro' ),
		'active_callback' => 'lawman_pro_if_team_cat',
		'type'			=> 'select',
		'choices'		=> lawman_pro_get_post_cat_choices(),
	)
);

// team enable background settings
$wp_customize->add_setting(
	'lawman_pro_team_background',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_select',
		'default'			=> 'color',
	)
);

$wp_customize->add_control(
	'lawman_pro_team_background',
	array(
		'label'			=> esc_html__( 'Enable Background', 'lawman-pro' ),
		'section'		=> 'lawman_pro_team',
		'type'			=> 'radio',
		'choices'		=> array( 
				'image' => esc_html__( 'Background Image', 'lawman-pro' ),
				'color' => esc_html__( 'Background Color', 'lawman-pro' ),
		 	),
	)
);

$wp_customize->add_setting( 'lawman_pro_team_background_image', array(
	'sanitize_callback' => 'lawman_pro_sanitize_image',
) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'lawman_pro_team_background_image',
	array(
	'label'       		=> esc_html__( 'Upload Image', 'lawman-pro' ),
	'section'     		=> 'lawman_pro_team',
	'active_callback'	=> 'lawman_pro_if_team_background_image',
) ) );

$wp_customize->add_setting(	
	'lawman_pro_team_background_color',
	array(
		'sanitize_callback' => 'lawman_pro_sanitize_hex_color',
		'default'			=> '#b79156',
	)
);

$wp_customize->add_control(
	new WP_Customize_Color_Control( 
	$wp_customize,
		'lawman_pro_team_background_color',
		array(
			'section'		=> 'lawman_pro_team',
			'label'			=> esc_html__( 'Select BG Color:', 'lawman-pro' ),
			'active_callback' => 'lawman_pro_if_team_background_color',
		)
	)
);