<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */

// Get the content type.
$about = get_theme_mod( 'lawman_pro_about', 'post' );

// Bail if the section is disabled.
if ( 'disable' === $about ) {
	return;
}
$content_details = lawman_pro_get_section_content( 'about', $about, 1 );
?>
<div id="about" class="page-section">
    <div class="wrapper">
        <div class="about-wrapper col-2">
            <?php foreach($content_details as $content):?>
            <article class="hentry">
                <div class="border"></div>
                <div class="featured-image" style="background-image:url('<?php echo esc_url(get_the_post_thumbnail_url($content['id'], 'medium_large')); ?>');">
            </article>

            <article class="hentry">
                <div class="entry-container">
                    <div class="section-header">
                        <p class="section-subtitle"><?php echo esc_html( get_theme_mod( 'lawman_pro_about_title', __( 'About Us', 'lawman-pro' ) ) ) ; ?></p>
                        <h2 class="section-title"><?php echo esc_html( $content['title'] ) ; ?></h2>
                    </div>

                    <div class="section-content">
                        <p><?php echo esc_html( wp_trim_words( $content['content'], get_theme_mod( 'lawman_pro_about_exerpt', 50 ) )  ) ; ?></p>
                    </div>

                    <div class="count col-3">
                    <?php for($i=1; $i <= 3; $i++):
                        if(empty(get_theme_mod('lawman_pro_about_counter_number_'.$i)) && empty(get_theme_mod('lawman_pro_about_counter_text_'.$i))) continue; ?>
                        
                        <article class="hentry">
                            <header class="entry-header">
                                <h2 class="entry-title"><?php echo absint(get_theme_mod('lawman_pro_about_counter_number_'.$i)); ?></h2>
                            </header>
                            <span><?php echo esc_html(get_theme_mod('lawman_pro_about_counter_text_'.$i) ); ?></span>
                        </article> 

                    <?php endfor; ?>

                    </div>

                    <?php if ( !empty( get_theme_mod( 'lawman_pro_about_btn_title', __( 'About Us', 'lawman-pro' ) ) ) ): ?>
                    <div class="read-more">
                        <a href="<?php echo esc_url( $content['url'] ) ; ?>" class="btn">
                            <?php echo esc_html( get_theme_mod( 'lawman_pro_about_btn_title', __( 'View Full Stories', 'lawman-pro' ) ) ) ; ?>
                        </a>
                    </div><!-- .read-more -->
                    <?php endif; ?>
                </div>
            </article>

        <?php endforeach; ?>

        </div><!-- .about-wrapper -->
    </div><!-- .wrapper -->
</div><!-- #about -->