<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */


// Get the content type.
$callus = get_theme_mod( 'lawman_pro_callus', 'post' );
$home_layout = get_theme_mod( 'lawman_pro_homepage_layout', 'first-design' ) ;
if($home_layout == 'fourth-design'){
    $home_layout = 'first-design';
}

// Bail if the section is disabled.
if ( 'disable' === $callus ) {
    return;
}
$content_details = [];
if($callus == 'custom'){
    $content['title'] = get_theme_mod('lawman_pro_callus_custom_title');
    $content['image'] = get_theme_mod('lawman_pro_callus_custom_image', '#');
    if(!empty($content)){
        array_push($content_details, $content);
    }
}else{
    $content_details = lawman_pro_get_section_content( 'callus', $callus, 1 );
}

function lawman_pro_callus_section_header(){ ?>
    <div class="section-header">
        <p class="section-subtitle"><?php echo esc_html( get_theme_mod('lawman_pro_callus_sub_title', 'News') ) ?></p>
        <h2 class="section-title"><?php echo esc_html( get_theme_mod('lawman_pro_callus_title', 'Free Case Evaluation') ) ?></h2>
        <span><?php echo esc_html( get_theme_mod('lawman_pro_callus_form_title', 'Fill out the form below to contact Us') ) ?></span>
    </div><!-- .section-header -->
<?php }

function lawman_pro_callus_section_contactus($content_details){ 
    foreach($content_details as $content ): ?>
        <article class="hentry">
            <div class="contact-us" style="background-image: url('<?php echo esc_url( get_the_post_thumbnail_url( $content['id'], 'post-thumbnail' ) ) ; ?>');">
                <div class="overlay"></div>
                <div class="entry-container">
                    <?php if(get_theme_mod('lawman_pro_callus_logo', false) && has_custom_logo()) : ?>
                    <div class="logo">
                        <?php the_custom_logo(); ?>
                    </div>
                    <?php endif; ?>
                    <div class="section-header">
                        <h2 class="section-title"><?php echo esc_html($content['title'])?></h2>
                        <span><?php echo esc_html(get_theme_mod('lawman_pro_callus_contact_title')); ?></span>
                        <a href="tel: <?php echo esc_attr( get_theme_mod('lawman_pro_callus_contact_number')); ?>"><?php echo esc_html( get_theme_mod('lawman_pro_callus_contact_number') )?></a>
                    </div>
                </div>
            </div>
        </article>
    <?php endforeach; 
}

?>
<div id="call-us">
    <?php if($home_layout == 'second-design') echo '<div class="wrapper">'; ?>
        <div class="call-wrapper col-2">

            <article class="hentry">
            <?php if($home_layout == 'first-design') echo '<div class="contact-wrapper"><div class="wrapper">'; ?>

                <?php lawman_pro_callus_section_header(); ?>
                <?php if(class_exists('WPCF7') && !empty(get_theme_mod('lawman_pro_callus_form_shortcode')) && $home_layout == 'first-design' ) :
                echo do_shortcode( get_theme_mod('lawman_pro_callus_form_shortcode') );
                endif; ?>

            <?php if($home_layout == 'first-design') echo '</div></div>'; ?>

            <?php if($home_layout == 'second-design'){ ?>

                <div class="section-content">
                    <div class="widget widget_contact_info">
                        <ul>
                        <?php 
                            if(!empty(get_theme_mod('lawman_pro_topbar_contact'))) : ?>
                            <li>
                                <div class="icon">
                                    <?php echo lawman_pro_get_svg( array( 'icon' => 'phone' )); ?>
                                </div>
                                <div class="details">
                                    <span><?php echo esc_html(get_theme_mod('lawman_pro_callus_contact_title')); ?>
                                    <a href="tel: <?php echo esc_attr( get_theme_mod('lawman_pro_callus_contact_number')); ?>"><?php echo esc_html( get_theme_mod('lawman_pro_callus_contact_number') )?></a>
                                    </span>
                                </div><!-- .details -->
                            </li>
                            <?php endif; ?>
                        </ul>
                        <?php 
                        if(has_nav_menu('social') && get_theme_mod('lawman_pro_callus_enable_social_menu')){
                            wp_nav_menu( array(
                                'theme_location'  => 'social',
                                'menu_class'      => 'social-icons',
                                'container'       => 'div',
                                'container_class' => 'widget widget_contact_info',
                                'depth'           => 1,
                                'echo'            => true,
                                'link_before'     => '<span class="screen-reader-text">',
                                'link_after'      => '</span>',
                            ));
                        }
                        ?>
                    </div>
                </div>

            <?php } ?>
            </article>
            <?php 
            if( $home_layout == 'first-design' ){
                lawman_pro_callus_section_contactus($content_details);
            }elseif( $home_layout == 'second-design' ) { 
                if( class_exists('WPCF7') && !empty(get_theme_mod('lawman_pro_callus_form_shortcode' ))) :
                    echo '<article class="hentry">';
                    echo do_shortcode( get_theme_mod('lawman_pro_callus_form_shortcode') );
                    echo '<article>';
                endif;

            } ?>

        </div>
    <?php if($home_layout == 'second-design') echo '</div>'; ?>
</div>