<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */

// Get the content type.
$client       = get_theme_mod( 'lawman_pro_client', 'disable' );
$client_num   = get_theme_mod( 'lawman_pro_client_num', 5 ) ;

// Bail if the section is disabled.
if ( 'disable' === $client ) {
    return;
}
$content_details = [];
if($client == 'custom'){
    for ($i=1; $i<=5 ; $i++) { 
        $content['url'] = get_theme_mod('lawman_pro_client_image_url_'.$i, '#');
        $content['image'] = get_theme_mod('lawman_pro_client_image_'.$i, '#');
        if(!empty($content)){
            array_push($content_details, $content);
        }
    }
}else{
    $content_details = lawman_pro_get_section_content( 'client', $client, $client_num );
}

?>
<div id="client" class="page-section">
    <div class="wrapper">
        <div class="client-wrapper col-<?php echo esc_attr($client_num); ?>">
        <?php foreach($content_details as $content):?>
            <article class="hentry">
                <a href="<?php echo esc_url($content['url']); ?>"><img src="<?php echo esc_url( ($client=='custom') ? $content['image'] : get_the_post_thumbnail_url( $content['id'] ) ); ?>"></a>
            </article>
        <?php endforeach; ?>
        </div>
    </div>
</div>