<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */

// Get the content type.
$featured       = get_theme_mod( 'lawman_pro_featured', 'cat' );
$featured_num	= get_theme_mod( 'lawman_pro_featured_num', 3 ) ;

// Bail if the section is disabled.
if ( 'disable' === $featured ) {
	return;
}

$content_details = lawman_pro_get_section_content( 'featured', $featured, $featured_num );

?>

<div id="blog-featured-posts" class="relative page-section">
    <div class="wrapper">
        <div class="section-header">
            <h2 class="section-title"><?php echo esc_html( get_theme_mod( 'lawman_pro_featured_title', __( 'Featured Posts', 'lawman-pro' ) ) ) ; ?></h2>
        </div><!-- .section-header -->

        <div class="blog-section-content clear">
        <?php foreach($content_details as $content): ?>
            <article>
                <div class="blog-featured-image" style="background-image: url('<?php echo esc_url( get_the_post_thumbnail_url( $content['id'], 'post-thumbnail' ) ) ; ?>');">
                    
                </div><!-- .blog-featured-image -->
                    <div class="entry-container">
                        <span class="cat-links">
                            <?php the_category( '', '', $content['id'] ); ?>                           
                        </span><!-- .cat-links -->

                        <header class="entry-header">
                            <h2 class="entry-title">
                                <a href="<?php echo esc_url( $content['url'] ) ; ?>"><?php echo esc_html( $content['title'] ) ; ?></a>
                            </h2>
                        </header>

                        <?php lawman_pro_posted_on( $content['id'] ) ; ?>

                    </div><!-- .entry-container -->
            </article>
        <?php endforeach; ?>
        </div><!-- .blog-section-content -->
    </div><!-- .wrapper -->
</div><!-- #blog-featured-posts -->