<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */

// Get the content type.
$popular       = get_theme_mod( 'lawman_pro_popular', 'cat' );
$popular_num	= get_theme_mod( 'lawman_pro_popular_num', 3 ) ;

// Bail if the section is disabled.
if ( 'disable' === $popular ) {
	return;
}

$content_details = lawman_pro_get_section_content( 'popular', $popular, $popular_num );

?>

<div id="blog-popular-posts" class="relative page-section">
    <div class="wrapper">
        <div class="section-header">
            <h2 class="section-title"><?php echo esc_html( get_theme_mod( 'lawman_pro_popular_title', __( 'Popular Posts', 'lawman-pro' ) ) ) ; ?></h2>
        </div><!-- .section-header -->

        <div class="col-2 clear">
            <?php foreach($content_details as $content): ?>

            <article>
                <div class="popular-post-item">
                    <div class="blog-featured-image">
                        <a href="#"><img src="<?php echo esc_url( get_the_post_thumbnail_url( $content['id'], 'post-thumbnail' ) ) ; ?>"></a>
                    </div><!-- .blog-featured-image -->

                    <div class="entry-container">
                        <span class="cat-links">
                            <?php the_category( '', '', $content['id'] ); ?>                           
                        </span><!-- .cat-links -->

                        <header class="entry-header">
                            <h2 class="entry-title">
                                <a href="<?php echo esc_url( $content['url'] ) ; ?>"><?php echo esc_html( $content['title'] ) ; ?></a>
                            </h2>
                        </header>

                        <?php lawman_pro_posted_on( $content['id'] ) ; ?>


                        <div class="entry-content">
                            <p><?php echo wp_kses_post( wp_trim_words( $content['content'], get_theme_mod( 'lawman_pro_popular_exerpt', 30) )  ) ; ?></p>
                        </div>

                        <?php if ( !empty( get_theme_mod( 'lawman_pro_popular_btn_title') ) ): ?>
                        <div class="read-more">
                            <a href="<?php echo esc_url( $content['url'] ) ; ?>">
                                <?php echo esc_html( get_theme_mod( 'lawman_pro_popular_btn_title', __('Read More','lawman-pro') ) ); ?>
                            </a>
                        </div>
                        <?php endif; ?> 

                    </div><!-- .entry-container -->
                </div><!-- .popular-post-item -->
            </article>
        <?php endforeach; ?>

        </div><!-- .blog-section-content -->
    </div><!-- .wrapper -->
</div><!-- #blog-popular-posts -->