<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */

// Get the content type.
$portfolio       = get_theme_mod( 'lawman_pro_portfolio', 'cat' );
$portfolio_num   = get_theme_mod( 'lawman_pro_portfolio_num', 4 );
$home_layout = get_theme_mod( 'lawman_pro_homepage_layout', 'first-design' ) ;

// Bail if the section is disabled.
if ( 'disable' === $portfolio ) {
	return;
}

?>
<div id="portfolio" class="page-section">
    <?php if($home_layout == 'second-design') echo '<div class="wrapper">'; ?>

    <div class="section-header">
        <?php if ( !empty( get_theme_mod( 'lawman_pro_portfolio_title', __( 'Our portfolio', 'lawman-pro' ) ) ) ): ?>
            <p class="section-subtitle">
                <?php echo esc_html( get_theme_mod( 'lawman_pro_portfolio_sub_title', __( 'Our portfolio', 'lawman-pro' ) ) ) ; ?>
            </p>
        <?php endif ?>

        <h2 class="section-title">
            <?php echo esc_html( get_theme_mod( 'lawman_pro_portfolio_title', __( 'We fight for your right', 'lawman-pro' ) ) ) ; ?>
        </h2>

    </div><!-- .section-header -->

    <div class="section-content <?php echo ($home_layout == 'first-design') ? 'col-4' : 'col-3';?>">
        <nav class="portfolio-filter">
            <ul class="nav-tabs clear">
            <li class="active"><a href="#" data-filter="*"><?php esc_html_e('All', 'lawman-pro')?></a></li>
            <?php $cats = [];
                for ($i=1; $i <= 4; $i++) { 
                    if(!empty(get_theme_mod('lawman_pro_portfolio_cat_'.$i))){
                        $cats[] = get_theme_mod('lawman_pro_portfolio_cat_'.$i);
                        $cat = get_category(get_theme_mod('lawman_pro_portfolio_cat_'.$i));
                        echo '<li><a href="#" data-filter=".'.$cat->slug.'">'.$cat->name.'</a></li>';

                    }
                }?>

            </ul><!-- .nav-tabs -->
        </nav>

        <div class="grid gallery-popup">
        <?php 
            $query = new WP_Query( array( 
                'category__in' => $cats,
                'ignore_sticky_posts' => true,
                'posts_per_page' => absint( $portfolio_num ),

                ) );

            if ( $query->have_posts() ) {
                while ( $query->have_posts() ) : $query->the_post(); ?>
                <div class="grid-item <?php echo lawman_pro_get_category_slug_list( get_the_ID() ); ?>hentry">
                    <a href="<?php the_post_thumbnail_url('large'); ?>" class="popup">
                        <div class="featured-image" style="background-image: url('<?php the_post_thumbnail_url('medium_large'); ?>')">
                        <?php if($home_layout == 'second-design') echo '<div class="overlay"></div>'; ?>
                            <div class="gallery-item-wrapper">
                            <?php $cat = get_the_category(); echo '<span>'.$cat[0]->name.'</span>';?>
                                <h3 class="gallery-title"><?php the_title(); ?></h3>
                            </div>
                        </div><!-- .featured-image -->
                    </a>
                </div><!-- .grid-item -->

                <?php 
                endwhile;
                wp_reset_postdata();
            }
        ?>

        </div><!-- .grid -->

        <?php if ( !empty( get_theme_mod( 'lawman_pro_portfolio_btn_title') ) && !empty( get_theme_mod( 'lawman_pro_portfolio_btn_url') ) && $home_layout == 'second-design' ): ?>
            <div class="read-more">
                <a href="<?php echo esc_url( get_theme_mod( 'lawman_pro_portfolio_btn_url' ) ) ?>" class="btn" tabindex="0">
                    <?php echo esc_html( get_theme_mod( 'lawman_pro_portfolio_btn_title', __('View all Projects','lawman-pro') ) ); ?>
                </a>
            </div>
        <?php endif; ?> 
    </div><!-- .section-content -->
    <?php if($home_layout == 'second-design') echo '</div>'; ?>
</div><!-- #portfolio -->