<?php
/**
 * Template part for displaying front page imtroduction.
 *
 * @package Moral
 */

// Get the content type.
$service = get_theme_mod( 'lawman_pro_service', 'cat' );
$service_num    = $service_num = get_theme_mod( 'lawman_pro_service_num', 4 ); 
$home_layout = get_theme_mod( 'lawman_pro_homepage_layout', 'first-design' ) ;

// Bail if the section is disabled.
if ( 'disable' === $service ) {
    return;
}

$content_details = lawman_pro_get_section_content( 'service', $service, $service_num );



?>
<div id="our-services" class="relative page-section no-padding-bottom same-background" style="background-image: url('<?php echo esc_url( get_theme_mod('lawman_pro_service_background_image' ) ); ?>');">
    <div class="wrapper">
        <article class="has-post-thumbnail">
            <?php if( !empty( get_theme_mod('lawman_pro_service_image') ) ) : ?>
                <div class="featured-image">
                    <img src="<?php  echo esc_url( get_theme_mod('lawman_pro_service_image') ); ?>" alt="our-service-image.jpg">
                </div><!-- .featured-image -->
            <?php endif; ?>
            <?php if($home_layout == 'first-design') echo '<div class="entry-container">'; ?>
                <div class="section-header">
                    <p class="section-subtitle"><?php echo esc_html(get_theme_mod('lawman_pro_service_sub_title',__('Our Services','lawman-pro'))); ?></p>
                    <h2 class="section-title"><?php echo esc_html(get_theme_mod('lawman_pro_service_title',__('We Are Here To Help You Grow','lawman-pro'))); ?></h2>
                </div><!-- .section-header -->

                <div class="<?php echo esc_attr( get_theme_mod('lawman_pro_service_column', 'col-2')); ?> clear">
                <?php if($home_layout == 'first-design') echo '<div class="hentry">'; ?>

                        <?php foreach($content_details as $i=>$content ): ?>

                        <article>
                            <div class="service-item-wrapper">
                                <div class="service-icon">
                                    <i class="fas fa-<?php echo esc_attr(get_theme_mod('lawman_pro_service_icons_'.($i+1), 'newspaper')) ;?> fa-3x"></i>
                                </div>
                                <header class="entry-header">
                                    <h2 class="entry-title"><a href="<?php echo esc_url($content['url']); ?>"><?php echo $content['title']; ?></a></h2>
                                </header>

                                <div class="entry-content">
                                    <p><?php echo esc_html( wp_trim_words( $content['content'], get_theme_mod( 'lawman_pro_service_exerpt', 30 ) )  ) ; ?></p>
                                </div><!-- .entry-content -->
                            </div><!-- .service-item-wrapper -->
                        </article>
                        <?php endforeach; ?>
                    <?php if($home_layout == 'first-design') echo '</div>'; ?>
                </div><!-- .col-3 -->
            <?php if($home_layout == 'second-design'): ?>

                <?php if ( !empty( get_theme_mod( 'lawman_pro_service_btn_title') ) && !empty( get_theme_mod( 'lawman_pro_service_btn_url') ) ): ?>
                <div class="read-more">
                    <a href="<?php echo esc_url( get_theme_mod( 'lawman_pro_service_btn_url' ) ) ?>" class="btn">
                        <?php echo esc_html( get_theme_mod( 'lawman_pro_service_btn_title', __('View all Services','lawman-pro') ) ); ?>
                    </a>
                </div>
                <?php endif; ?> 

            <?php endif; ?>

            <?php if($home_layout == 'first-design') echo '</div>'; ?>
        </article>
    </div><!-- .wrapper -->
</div><!-- #our-services -->